#include "stdinc.h"
#include "server.h"

#define NAME "m_trace"
#define AUTHOR "Jer"
#define VERSION "$Id: m_trace.c 1264 2008-08-19 01:15:39Z twitch $"

enum MYVERSION {
       MAJOR = 0,
       MINOR = 4,
       PATCH = 0,

};

void m_trace (User *user,int i,char **argv);

int Module_Init()
{
    RegisterModule(NAME,AUTHOR,VERSION, MAJOR, MINOR, PATCH);
    AddUserCmd("TRACE", m_trace);
    return MOD_CONT;
}

void Module_Close()
{

	DelUserCmd("TRACE", m_trace);

	return;
}

void m_trace (User *user,int i,char **argv)
{
	dlink_node		*dl;
	User			*u;


	if (user->oper)
	{
		DLINK_FOREACH (dl, userlist.head)
		{
			u	= dl->data;

			if (MyConnect(u))
				send_line (":%s %d %s User users %s[%s@%s] (%s) 0 :0", CfgSettings.servername, 205, user->nick,
						u->nick, u->user, u->host, "*");
		}
	}

    return;
}

