#include "stdinc.h"
#include "server.h"

#define NAME "m_whois"
#define AUTHOR "Jer"
#define VERSION "$Id: m_trace.c 747 2008-07-07 10:31:36Z jer $"

enum MYVERSION {
       MAJOR = 0,
       MINOR = 4,
       PATCH = 0,

};

void m_whois (User *user,int i,char **argv);

int Module_Init()
{

        RegisterModule(NAME,AUTHOR,VERSION, MAJOR, MINOR, PATCH);
	AddUserCmd("WHOIS", m_whois);
	return MOD_CONT;
}

void Module_Close ()
{
	DelUserCmd("WHOIS", m_whois);
	return;	
}


void m_whois (User *source, int argc, char **argv)
{
	dlink_node		*dl;
	User			*user;

	if (!(user = find_user (argv[2])))
	{
		return;
	}

	send_line (":%s 311 %s %s %s %s * :%s", CfgSettings.servername, source->nick, user->nick, user->user,
				user->host, user->realname);
	send_line (":%s 312 %s %s %s :%s", CfgSettings.servername, source->nick, user->nick, user->serv->name, CfgSettings.desc);
	send_line (":%s 317 %s %s %lu %lu :seconds idle, signon time", CfgSettings.servername, source->nick,
				user->nick, (unsigned long)(time(NULL) - user->lastsent), (unsigned long)starttime);
	send_line (":%s 318 %s %s :End of /WHOIS list.", CfgSettings.servername, source->nick, user->nick);

    return;
}

